{% extends 'base.html.twig' %}
{% block body %}
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/bootstrap/css/bootstrap-grid.min.css') }}">

    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('scss/icons/font-awesome/css/font-awesome.min.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('css/animate.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('select2/select2.min.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('perfect-scrollbar/perfect-scrollbar.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/css/util.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/css/main.css') }}">


    <div  class="limiter" align="center" style="margin-top: 50px;margin-bottom: 50px">
        <div class="wrap-table100">
            <div class="table100" style="margin-top: 50px">
                <h1 style="color: #00aced;">Les marques</h1>


                <input type="search" id="search" name="search" placeholder="search" class="form-control" style="margin-top: 50px">
                <div class="tableau">

                    <table id="table">
                        <thead class="table100-head">
                        <tr>

                            <th >Nom</th>

                            <th >Image</th>



                        </tr>
                        </thead>
                        <tbody  align="center">
                        {% for mar in marques %}

                            <tr>

                               <td style="font-weight: bold">{{ mar.nom }}</td>

                                <td><img src="{{ asset('uploads/images/'~ mar.image) }}" height="100" width="100"></td>
                            </tr>
                        {% endfor %}
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script><script >
    $(function () {
        $("#search").keyup(function () {
            $.ajax({
                    url : "{{ path('findmarque') }}",
                data : { 'search' : $(this).val() }
            }).done(function (response) {
                var tableau = $(response).find("table");
                $('.tableau').empty();
                $('.tableau').append(tableau);
            });
        });
    })
</script>

{% endblock %}